<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');

// Construct page
$content['windowTitle'] = 'Phoebe — pedagogic planner';
$content['settings'] = 'browse';

if(ctype_alpha($_GET['frag'])) {
    $frag = '#'.$_GET['frag'];
}

$content['main'] = <<<EOWitchesText

<div id="phoebeToolbar">
    <h1 id="browseTitle"><a href="/" class="titleLink" title="Return to the Phoebe homepage">Phoebe</a> : Browse guidance</h1>
    <div class="buttons"><a href="/designs.php">Your designs</a></div>
</div>
EOWitchesText;

$content['main'] .= '<iframe src="http://phoebe-guidance.conted.ox.ac.uk/cgi-bin/trac.cgi/wiki/PhoebePh2Contents'.$frag.'" />';

// Write via template
include_once($CNF->template);
?>