<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */


/* Save the value for a property */
$content['settings'] = 'dbWrite';
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/session.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/utils.php');

/*if(!$_POST) {
    $_POST = $_GET;
}*/

// Sanitise data before sending to database
if(preg_match('/^(\w_?)+_\d+$/', $_POST['id'])) {
    //echo "a<br/>";
    // title_number format, e.g. description_5
    $split = preg_split('/^((\w_?)+)_(\d+)$/', $_POST['id'], -1, PREG_SPLIT_NO_EMPTY | PREG_SPLIT_DELIM_CAPTURE);
    //print_r($split);
    $id = $split[0];
    $desId = $split[2];
}
else if(preg_match('/^(\w_?)+$/', $_POST['id'])) {
    // Plain field title format
    $id = $_POST['id'];
}

if($_POST['value'] != '') {
    $value = $_POST['value'];
}

if(isset($desId) && isset($id) && isset($value)) {
    //echo $id;
    //echo $value;
    // Update value
    $sql = 'UPDATE designs '.
           'SET '.$id.' = '.$mdb2->quote($value).' '.
           'WHERE design_id = '.$desId;
    //echo $sql;

    $insert = $mdb2->queryAll($sql);
    if (PEAR::isError($insert)) {
        echo 'Error saving new value - '.$insert->getMessage();
        echo "\nSQL: ".$sql;
    } else {
        echo $value;
    }
} else {
    echo "Error saving value - invalid parameters:\n";
    echo "<br/>id: ".$id;
    echo "<br/>value: ".$value;
}
?>