<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

//$content['settings'] = 'dbWrite,desMetaEdit,manager';
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');
include_once($_SERVER['DOCUMENT_ROOT']."/inc/utils.php");
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/session.php');
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/user.php');

// Construct page
$content['windowTitle'] = 'Import a design | Phoebe — pedagogic planner';
$content['main'] .= '<h1 id="mainTitle"><a href="/" class="titleLink">Phoebe</a></h1>';
$content['main'] .= $topNav;
$content['main'] .= '<h2>Import a design</h2>';
$content['main'] .= '<p id="quickDesc">Upload a design from a file.</p>';


$content['main'] .= '<form action="/createDesign.php" method="post" enctype="multipart/form-data">';
$content['main'] .= '<input type="hidden" name="MAX_FILE_SIZE" value="100000" />';
$content['main'] .= '<label>Phoebe design XML file: <input type="file" name="designFileUpload"></label> ';
$content['main'] .= '<input type="hidden" name="copyData" value="on" />';
$content['main'] .= '<input type="submit" value="Upload">';
$content['main'] .= '</form>';


// Write via template
include_once($CNF->template);
?>