<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

$content['settings'] = '';
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/core.php');
include_once($_SERVER['DOCUMENT_ROOT']."/inc/utils.php");
include_once($_SERVER['DOCUMENT_ROOT'].'/inc/session.php');


// Construct page
$content['windowTitle'] = 'Licensing | Phoebe — pedagogic planner';
$content['main'] = '<h1 id="mainTitle"><a href="/" class="titleLink">Phoebe</a></h1>';
$content['main'] .= $topNav;
$content['main'] .= '<h2>Licensing</h2>';

$content['main'] .= '<p id="quickDesc">Copyright and licensing of Phoebe designs and templates.</p>';

$content['main'] .= '
    <p>By sharing designs and design templates, you agree to license them under the <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/">Creative Commons Attribution-Noncommercial-Share Alike 3.0 license</a>.</p>
    <h3>This allows anyone to:</h3>
    <ul>
        <li><strong>to Share</strong> — to copy, distribute and transmit the work</li>
        <li class="license remix" rel="cc:permits" href="http://creativecommons.org/ns#DerivativeWorks"><strong>to Remix</strong> — to adapt the work</li>
    </ul>
    <h3>Under the following conditions:</h3>
    <ul>
        <li>
            <p><strong>Attribution</strong>.
            <span>You must attribute the work in the manner specified by the author or licensor (but not in any way that suggests that they endorse you or your use of the work).</span></p>
        </li>
        <li>
            <p><strong>Noncommercial</strong>.
            <span>You may not use this work for commercial purposes.</span></p>
        </li>
        <li>
            <p><strong>Share Alike</strong>. 
            <span>If you alter, transform, or build upon this work, you may distribute the resulting work only under the same or similar license to this one.</span></p>
        </li>
    </ul>
    <p>More information about this license can be found at the <a href="http://creativecommons.org/licenses/by-nc-sa/3.0/">Creative Commons website</a>.</p>
    <p>For Phoebe, work for educational institutions supported by public funding is considered "Noncommercial".</p>
    <p>Ownership details of designs and templates are currently not maintained when cloning. Users are advised to note their attribution requirements (if any) in the the description field of each design and template.</p>';

// Write via template
include_once($CNF->template);
?>